> # NAME

> texCUBEARRAY - cube array texture lookup with optional pre-computed derivatives.

> # SYNOPSIS

>       float4 texCUBEARRAY(samplerCUBEARRAY samp, float4 s)
>       float4 texCUBEARRAY(samplerCUBEARRAY samp, float4 s, float3 dx, float3 dy)

>       int4 texCUBEARRAY(isamplerCUBEARRAY samp, float4 s)
>       int4 texCUBEARRAY(isamplerCUBEARRAY samp, float4 s, float3 dx, float3 dy)

>       unsigned int4 texCUBEARRAY(usamplerCUBEARRAY samp, float4 s)
>       unsigned int4 texCUBEARRAY(usamplerCUBEARRAY samp, float4 s, float3 dx, float3 dy)

> # PARAMETERS

> samp

>   Cube array sampler array to look up.

> s.xyz

>   Coordinates to perform the lookup.

> s.w

>   Cube map array layer.

> dx

>   Pre computed derivative along the x axis.

> dy

>   Pre computed derivative along the y axis.

> # DESCRIPTION

> Performs a texture lookup in sampler samp using coordinates s, the texture to be sampled is selected from the layer specified in the coordinates. Also may use the derivatives dx and dy.

> # PROFILE SUPPORT

> texCUBEARRAY is only supported in gp4 and newer profiles.

> # SEE ALSO

> texCUBEARRAYbias, texCUBEARRAYlod, texCUBEARRAYsize